commit 1d904e0470fed2e5c7a867f63d39ee44dbe80a2a
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Mar 12 19:02:31 2023 +0000

    Compiler quietening.  Bug 2983

diff --git a/src/src/local_scan.h b/src/src/local_scan.h
index 69b3c6cdb..c88994442 100644
--- a/src/src/local_scan.h
+++ b/src/src/local_scan.h
@@ -133,7 +133,7 @@ typedef struct {
   union {
     void *	value;
     long	offset;
-    void (*	fn)();
+    void (*	fn)(const uschar *, const uschar *, unsigned);
   } v;
 } optionlist;
 #define OPT_OFF(s, field) {.offset = offsetof(s, field)}
diff --git a/src/src/readconf.c b/src/src/readconf.c
index 6dba11ca1..3b26e87d5 100644
--- a/src/src/readconf.c
+++ b/src/src/readconf.c
@@ -2356,11 +2356,8 @@ switch (type)
     }
 
   case opt_func:
-    {
-    void (*fn)() = ol->v.fn;
-    fn(name, s, 0);
+    ol->v.fn(name, s, 0);
     break;
-    }
   }
 
 return TRUE;
@@ -2384,11 +2381,7 @@ readconf_printtime(int t)
 int s, m, h, d, w;
 uschar *p = time_buffer;
 
-if (t < 0)
-  {
-  *p++ = '-';
-  t = -t;
-  }
+if (t < 0) *p++ = '-', t = -t;
 
 s = t % 60;
 t /= 60;

